#
# $Id$
#
# This program is free software; you can redistribute it and/or 
# modify it under the terms of the GNU General Public License, version 2.
#
# Infobrowser support for the BBC Whats On  items
#
package Plugins::InfoBrowserAddons::BBCWhatsOnRadio::BBCWhatsOnDayParser;

# Parser for BBC Whats's menu menu pages

use strict;

my  @listdetails = (
			'49697|Radio 1', 
			'49698|Radio 2', 
			'49699|Radio 3', 
			'49700|Radio 4 FM',
			'49716|Radio 4 LW', 
			'49701|Radio Five Live', 
			'49704|Radio Five Live Sports Extra',
			'49706|1Xtra BBC',
			'49707|BBC 6 Music', 
			'18112|BBC 7',
			'2030|BBC Asian Network',
			'49702|BBC World Service',
			'49977|Radio Ulster',
			'50233|Radio Foyle',
			'61441|Radio Scotland FM',
			'50229|Radio Scotland MW',
			'49974|Radio nan Gaidheal',
			'50997|Radio Orkney',
			'51253|Radio Shetland',
			'50232|Radio Wales FM',
			'4111|Radio Wales MW',
			'49991|Radio Cymru',
			'52529|Radio Berkshire',
			'50226|Radio Bristol',
			'50225|Radio Cambridgeshire',
			'52020|Radio Cleveland',
			'50994|Radio Cornwall',
			'51251|BBC Coventry & Warwickshire',
			'50996|Radio Cumbria',
			'50739|Radio Derby',
			'51250|Radio Devon',
			'51249|BBC Essex',
			'52018|Radio Gloucestershire',
			'50487|Radio Guernsey',
			'50483|BBC Hereford & Worcester',
			'52532|Radio Humberside',
			'50231|Radio Jersey',
			'50737|Radio Kent',
			'50484|Radio Lancashire',
			'52788|Radio Leeds',
			'51507|Radio Leicester',
			'52019|Radio Lincolnshire',
			'52273|BBC London',
			'50228|Radio Manchester',
			'50740|Radio Merseyside',
			'51764|Radio Newcastle',
			'51505|Radio Norfolk',
			'53041|Radio Northampton',
			'50995|Radio Nottingham',
			'52017|Radio Oxford',
			'53044|Radio Sheffield',
			'51763|Radio Shropshire',
			'51506|Radio Solent',
			'40961|BBC Somerset Sound',
			'52786|BBC Southern Counties Radio',
			'52275|Radio Stoke',
			'51761|Radio Suffolk',
			'51762|Radio Swindon',
			'52274|Radio Wiltshire',
			'50993|BBC Three Counties Radio',
			'50227|BBC WM',
			'52276|Radio York',
);

sub parse 
{

	my $class  = shift;
	my $http   = shift;

	my $params = $http->params('params');
	my $day    = $params->{'item'}->{'name'};

	my @entries;

	foreach my $listindex (@listdetails)
	{
		my ($progid,$progname) = split /\|/, $listindex ; 

		push @entries, {
			'name'   => $progname,
			'url'    => "http://www.bbc.co.uk/cgi-perl/whatson/search/daylist.cgi?tmp=whatson/2templates/search/daylist_print.tmpl&service_id=$progid&day=$day",
			'parser' => 'Plugins::InfoBrowserAddons::BBCWhatsOnRadio::BBCWhatsOnParser',
		};
	}

	return {
		'type'  => 'opml',
		'title' => $params->{'feedTitle'},
		'items' => \@entries,
	};
}

# Local Variables:
# tab-width:4
# indent-tabs-mode:t
# End:

1;
